<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;


class PensionReport implements FromArray, WithHeadings
{
    
    protected $pension;
    protected $headings;
    public function __construct(array $pension)
    {
        $this->pension = $pension;
    }

    /**
    * @return array
    */
    public function array(): array
    {
        return $this->pension;
    }

    public function headings(): array
    {
        return [
            'Employee ID',
            'Employee Name',
            'PIN Number',
            'PFA Name',
            'Pension Employee',
            'Pension Employer',
            'Total Pension Calculation',
            'Age'
        ];

    }
}
